Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_TLS_KDF_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_BYTE_PTR | pContextData
CK_BYTE_PTR | pLabel
CK_MECHANISM_TYPE | prfMechanism
CK_SSL3_RANDOM_DATA | RandomInfo
CK_ULONG | ulContextDataLength
CK_ULONG | ulLabelLength

## Detailed Description

Definition at line 1953 of file pkcs11t.h.

## Member Data Documentation

CK_BYTE_PTR CK_TLS_KDF_PARAMS::pContextData

Definition at line 1958 of file pkcs11t.h.

CK_BYTE_PTR CK_TLS_KDF_PARAMS::pLabel

Definition at line 1955 of file pkcs11t.h.

CK_MECHANISM_TYPE CK_TLS_KDF_PARAMS::prfMechanism

Definition at line 1954 of file pkcs11t.h.

CK_SSL3_RANDOM_DATA CK_TLS_KDF_PARAMS::RandomInfo

Definition at line 1957 of file pkcs11t.h.

CK_ULONG CK_TLS_KDF_PARAMS::ulContextDataLength

Definition at line 1959 of file pkcs11t.h.

CK_ULONG CK_TLS_KDF_PARAMS::ulLabelLength

Definition at line 1956 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h